/* CUSTOMIZE THE CAROUSEL
-------------------------------------------------- */
.carousel-indicators {
    margin-bottom: 15vh;
}
/* Carousel base class */

.carousel {
	margin-top: 78px;
	margin-bottom: 30px;
    height: 100%;
}
.carousel-inner {
    height: 100%;
}
.fill {
    width: 100%;
    height: 100%;
    background-position: center;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    background-size: cover;
    -o-background-size: cover;
}
/* Call To Action */

.slider-float {
    display: block;
    position: absolute;
    z-index: 2;
    bottom: 80px;
    /*bottom: 0;*/
    width: 100%;
}
.call-to-action {
    display: block;
    padding-right: calc(50% - ((13.102em)/2));
}
.slider-float button {
    font-size: 1.2em;
    color: #fff;
    border: none;
    padding: 0.5em 1em;
    font-weight: bold;
    border-radius: 0.4em;
}
#contact {
    background-color: #8FC857;
    margin-right: 0.5em;
}
#contact:hover {
    background-color: #76A747;
}
#register {
    background-color: #0EB1E1;
    margin-left: 0.5em;
}
#register:hover {
    background-color: #0F95BC;
}
/* Declare heights because of positioning of img element */

.carousel .item {
	height: 100%;
	background-color: #555;
}
.img1 {
    background-image: url(../content/theme/image/slideBg1.jpg);
}
.img2 {
    background-image: url(../content/theme/image/slideBg2.jpg);
}
.img3 {
    background-image: url(../content/theme/image/slideBg3.jpg);
}
/* Arrow Down */
.arrow-down {
    margin-top: 2.5vh;
}
.arrow-down img {
    height: 2em;
    background-color: #0db3e3;
    border-radius: 50%;
    padding: 0.4em;
    display: block;
    margin: 0 auto;
}
.arrow-down img {
    -webkit-animation: mover 0.5s infinite  alternate;
    animation: mover 0.5s infinite  alternate;
}
@-webkit-keyframes mover {
    0% { transform: translateY(0); }
    100% { transform: translateY(-10px); }
}
@keyframes mover {
    0% { transform: translateY(0); }
    100% { transform: translateY(-10px); }
}
/* MARKETING CONTENT
-------------------------------------------------- */

/* Pad the edges of the mobile views a bit */

.marketing {
	padding-left: 15px;
	padding-right: 15px;
}
/* Center align the text within the three columns below the carousel */

.marketing .col-lg-4 {
	text-align: center;
	margin-bottom: 20px;
}
.marketing h2 {
	font-weight: normal;
}
.marketing .col-lg-4 p {
	margin-left: 10px;
	margin-right: 10px;
}
/* Featurettes
------------------------- */

.featurette-divider {
	margin: 80px 0;
	/* Space out the Bootstrap <hr> more */
}
.featurette {
	padding-top: 120px;
	/* Vertically center images part 1: add padding above and below text. */
	overflow: hidden;
	/* Vertically center images part 2: clear their floats. */
}
.featurette-image {
	margin-top: -120px;
	/* Vertically center images part 3: negative margin up the image the same amount of the padding to center it. */
}
/* Give some space on the sides of the floated elements so text doesn't run right into it. */

.featurette-image.pull-left {
	margin-right: 40px;
}
.featurette-image.pull-right {
	margin-left: 40px;
}
/* Thin out the marketing headings */

.featurette-heading {
	font-size: 50px;
	font-weight: 300;
	line-height: 1;
	letter-spacing: -1px;
}

.carousel-control {
position: absolute;
top: 50%; /* pushes the icon in the middle of the height */
z-index: 5;
display: inline-block;
background: #555
}

.carousel-control.left{
  height: 40px !important;
  line-height: 30px;;
  width: 5%
}

.carousel-control.right{
  height: 40px !important;
  line-height: 30px;;
  width: 5%
}

/* RESPONSIVE CSS
-------------------------------------------------- */

@media (min-width: 768px) {
	/* Remve the edge padding needed for mobile */
	.marketing {
		padding-left: 0;
		padding-right: 0;
	}
	/* Navbar positioning foo */
	.navbar-wrapper {
		margin-top: 20px;
		margin-bottom: -90px;
		/* Negative margin to pull up carousel. 90px is roughly margins and height of navbar. */
	}
	/* The navbar becomes detached from the top, so we round the corners */
	.navbar-wrapper .navbar {
		border-radius: 4px;
	}
	/* Bump up size of carousel content */
	.carousel-caption p {
		margin-bottom: 20px;
		font-size: 21px;
		line-height: 1.4;
	}
}

@media screen and (max-width: 768px) {
    
	.carousel-caption h3 {
		font-size: 1.5em;
		line-height: 1.4;
	}
	.carousel-caption p {
		font-size: 1.2em !important;
		line-height: 1.2em;
	}
}
@media screen and (max-height: 800px) {
    .carousel-caption {
        margin-bottom: 15vh;
    }
}
@media screen and (max-height: 600px) {
    
	.carousel-caption h3 {
		font-size: 1.5em;
		line-height: 1.4;
	}
	.carousel-caption p {
		font-size: 1.2em !important;
		line-height: 1.2em;
	}
    .carousel-caption {
        margin-bottom: 0;
    }
    .carousel-indicators {
        margin-bottom: 0;
    }
}

@media screen and (max-width: 559px) {
    .carousel {
        margin-top: 124px;
        margin-bottom: 30px;
        height: 40% !important;
        margin-bottom: 70px !important;
    }
    .slider-float{
        bottom: -95px;
    }
    .carousel-control.right {
        line-height: 20px;
    }
    .carousel-control.left {
        line-height: 20px;
    }
}

@media screen and (max-width: 959px) {
    .carousel {
        margin-top: 124px;
        margin-bottom: 30px;
        height: 50%;
    }
    .slider-float{
        bottom: -95px;
    }
}

@media screen and (max-height: 700px) {
    .slider-float {
        padding-top: 1em;
        background-color: rgba(0,0,0,0.1);
    }
}